Summary:       An open source processor emulator
Name:          qemu
Version:       0.13.0
Release:       1%{?dist}%{?pext}
License:       GPL
Group:         Applications/Emulators
Source0:       http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:        %{name}-0.13.0-build.patch
URL:           http://wiki.%{name}.org/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Fabrice Bellard <fabrice@bellard.org>
BuildRequires: alsa-lib-devel bluez-libs-devel curl-devel
BuildRequires: cyrus-sasl-devel esound-devel gnutls-devel
BuildRequires: libattr-devel libjpeg-devel libpng-devel
BuildRequires: ncurses-devel SDL-devel texi2html texinfo
BuildRequires: xen-devel zlib-devel

%description
QEMU is a fast processor emulator using dynamic translation to achieve good
emulation speed. It can operate in two modes: Full system emulation, where
QEMU emulates a full system (for example a PC), and user mode emulation,
where QEMU can launch processes compiled for one CPU on another CPU. QEMU
can run without a host kernel driver and yet gives acceptable performance.

This package contains the QEMU system emulator for %{_arch}.


%package       system
Summary:       System emulators for QEMU
Group:         Applications/Emulators
Requires:      %{name} = %{version}-%{release}

%description   system
This package contains additional system emulators for QEMU.


%package       user
Summary:       User mode emulators for QEMU
Group:         Applications/Emulators
Requires:      %{name} = %{version}-%{release}

%description   user
This package contains user mode emulators for QEMU.


%prep
%setup -q
%patch0 -p1


%build
./configure \
	--prefix=%{_prefix}                 \
	--sysconfdir=%{_sysconfdir}         \
	--extra-cflags="${RPM_OPT_FLAGS}"   \
	--disable-strip                     \
	--enable-attr                       \
	--enable-docs                       \
	--enable-sdl                        \
	--enable-system                     \
	--enable-linux-user                 \
	--enable-io-thread                  \
	--enable-uuid                       \
	--enable-xen                        \
	--enable-mixemu                     \
	--enable-vnc-thread                 \
	--audio-drv-list="oss alsa sdl esd" \
	--audio-card-list="ac97 es1370 sb16 cs4231a adlib gus"

%{__make} %{?_smp_mflags}


%check
%ifarch %{ix86}
%{__make} test
%endif


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__cp} -r  QMP ${RPM_BUILD_ROOT}%{_datadir}/%{name}
%{__rm} -rf     ${RPM_BUILD_ROOT}%{_docdir}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING* Changelog LICENSE MAINTAINERS README
%doc TODO VERSION *.html docs/*.txt
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*.conf
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-img.1*
%{_mandir}/man8/%{name}-nbd.8*

%files system
%defattr(-,root,root)
%{_bindir}/%{name}-system-*

%files user
%defattr(-,root,root)
%{_bindir}/%{name}-*
%exclude %{_bindir}/%{name}-system-*


%changelog
* Thu Oct 21 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.13.0-1
- New version (0.13.0)

* Thu Aug 05 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.12.5-1
- New version (0.12.5)

* Tue Jun 01 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.12.4-1
- New version (0.12.4)

* Mon Apr 19 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.12.3-1
- New version (0.12.3)
- Moved system and user emulators to separate packages

* Mon Sep 07 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.10.6-1
- New version (0.10.6)

* Wed Oct 29 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.9.1-1
- Initial build
